CPANPLUS::Module::Fake(3)

NAME
CPANPLUS::Module::Fake - fake module object for internal use

SYNOPSIS
    my $obj = CPANPLUS::Module::Fake->new(
                module  => 'Foo',
                path    => 'ftp/path/to/foo',
                author  => CPANPLUS::Module::Author::Fake->new,
                package => 'fake-1.1.tgz',
                _id     => $cpan->_id,
            );

DESCRIPTION
A class for creating fake module objects, for shortcut use internally by CPANPLUS.

Inherits from "CPANPLUS::Module".

METHODS

  new( module => $mod, path => $path, package => $pkg, [_id => DIGIT] )
Creates a dummy module object from the above parameters. It can take more options (same as "CPANPLUS::Module->new" but the above are required.